This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 739014 - Review Request: erlang-lager - A logging framework for Erlang/OTP
Review Request: erlang-lager - A logging framework for Erlang/OTP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 639263
Blocks: 652598 822472 841766
  Show dependency treegraph
 
Reported: 2011-09-16 06:30 EDT by Peter Lemenkov
Modified: 2012-07-20 04:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-15 19:50:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Test failures with mock fedora-17-x86_64 (13.73 KB, text/x-log)
2012-06-05 10:37 EDT, Michel Alexandre Salim
no flags Details

  None (edit)
Description Peter Lemenkov 2011-09-16 06:30:35 EDT
Spec URL: http://peter.fedorapeople.org/erlang-lager.spec
SRPM URL: http://peter.fedorapeople.org/erlang-lager-0.9.2-1.fc16.src.rpm
Description: Lager (as in the beer) is a logging framework for Erlang. Its purpose is to
provide a more traditional way to perform logging in an erlang application that
plays nicely with traditional UNIX logging tools like logrotate and syslog.
Comment 1 Peter Lemenkov 2012-05-21 15:51:17 EDT
Ver. 1.0.0 (and cleaned up NotReady flag):

* http://peter.fedorapeople.org/erlang-lager.spec
* http://peter.fedorapeople.org/erlang-lager-1.0.0-1.fc18.src.rpm

Koji scratchbuild for F-18:
* http://koji.fedoraproject.org/koji/taskinfo?taskID=4092462

rpmlint:
sulaco ~/rpmbuild/SPECS: rpmlint ../SRPMS/erlang-lager-1.0.0-1.fc18.src.rpm ../RPMS/ppc/erlang-lager-1.0.0-1.fc18.ppc.rpm 
erlang-lager.src: W: spelling-error %description -l en_US logrotate -> log rotate, log-rotate, rotate
erlang-lager.src: W: spelling-error %description -l en_US syslog -> slog

^^^ false positives.

erlang-lager.src: W: invalid-url Source0: basho-lager-1.0.0-0-g09ecad6.tar.gz

^^^ blame GitHub for that.

erlang-lager.ppc: W: spelling-error %description -l en_US logrotate -> log rotate, log-rotate, rotate
erlang-lager.ppc: W: spelling-error %description -l en_US syslog -> slog

^^^ false positives.

erlang-lager.ppc: E: no-binary
erlang-lager.ppc: W: only-non-binary-in-usr-lib

^^^ this one is tricky. All erlang packages must be installed into
%{_libdir}/erlang/lib so despite of the fact that some of them contains only
arch-independent data they all must be build as arch-dependent. I plan to fix
thaе but I wouldn't hold my breath.

2 packages and 0 specfiles checked; 1 errors, 6 warnings.
sulaco ~/rpmbuild/SPECS:
Comment 2 Michel Alexandre Salim 2012-06-05 10:37:40 EDT
Created attachment 589540 [details]
Test failures with mock fedora-17-x86_64

Really curious -- while erlang-lager builds fine on Koji (http://koji.fedoraproject.org/koji/taskinfo?taskID=4128388 -- thanks, Peter), it doesn't in mock (building on fedora-rawhide-i386 fails as well)
Comment 3 Michel Alexandre Salim 2012-06-06 00:08:05 EDT
Oh gosh, fedora-review was picking up the 0.9.2 source package instead of the 1.0.0 -- no wonder.
Comment 4 Michel Alexandre Salim 2012-06-06 03:14:21 EDT
Most of the discovered issues are related to RHEL 5/6 support; and one item applies to all releases: mixing of %{buildroot} and $RPM_BUILD_ROOT (in the %clean section) should be fixed.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Could not retrieve sources. Please check the source files for
     licenses manually.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint erlang-lager-1.0.0-1.fc18.i686.rpm

erlang-lager.i686: W: spelling-error %description -l en_US logrotate -> log rotate, log-rotate, rotate
erlang-lager.i686: W: spelling-error %description -l en_US syslog -> slog
erlang-lager.i686: E: no-binary
erlang-lager.i686: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 3 warnings.


rpmlint erlang-lager-1.0.0-1.fc18.src.rpm

erlang-lager.src: W: spelling-error %description -l en_US logrotate -> log rotate, log-rotate, rotate
erlang-lager.src: W: spelling-error %description -l en_US syslog -> slog
erlang-lager.src: W: invalid-url Source0: basho-lager-1.0.0-0-g09ecad6.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch1: erlang-lager-0001-Intial-support-for-R15-line-numbers-in-
     errors.patch (erlang-lager-0001-Intial-support-for-R15-line-numbers-in-
     errors.patch) Patch2: erlang-lager-0002-Fix-tests.-and-2-places-MFAs-
     werent-handling-the-new.patch (erlang-lager-0002-Fix-tests.-and-2-places-
     MFAs-werent-handling-the-new.patch)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST License field in the package spec file matches the actual license.
     Note: Could not retrieve sources. Please check the source files for
     licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros


Generated by fedora-review 0.2.0git
External plugins:
Comment 5 Peter Lemenkov 2012-06-06 04:10:03 EDT
Thanks! Fixed macros consistency and restored buildroot directive (I do plan build it for EL5 in a separate repository so this will be required):

* http://peter.fedorapeople.org/erlang-lager.spec
* http://peter.fedorapeople.org/erlang-lager-1.0.0-2.fc18.src.rpm
Comment 6 Michel Alexandre Salim 2012-06-06 06:06:19 EDT
Same comment as #739016 -- you can make the EL directives conditional, and drop defattr -- but that can be done when importing

APPROVED
Comment 7 Peter Lemenkov 2012-06-06 06:09:47 EDT
Thanks!

New Package SCM Request
=======================
Package Name: erlang-lager
Short Description: A logging framework for Erlang/OTP
Owners: peter
Branches: f16 el6
InitialCC:
Comment 8 Jon Ciesla 2012-06-06 09:18:30 EDT
Git done (by process-git-requests).

Added f17.
Comment 9 Fedora Update System 2012-06-06 09:41:52 EDT
erlang-lager-1.0.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/erlang-lager-1.0.0-2.fc16
Comment 10 Fedora Update System 2012-06-06 09:42:02 EDT
erlang-lager-1.0.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-lager-1.0.0-2.el6
Comment 11 Fedora Update System 2012-06-06 09:42:13 EDT
erlang-lager-1.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-lager-1.0.0-2.fc17
Comment 12 Fedora Update System 2012-06-07 14:01:31 EDT
erlang-lager-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2012-06-15 19:50:43 EDT
erlang-lager-1.0.0-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-06-15 20:05:24 EDT
erlang-lager-1.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Fedora Update System 2012-06-22 11:59:10 EDT
erlang-lager-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.